zncstrap
========

A simple ZNC Web Interface theme build with Twitter Bootstrap Framework.

Modified by casper@LunarBNC for 1.8.2  
Some things were added and mainly all pages needed i18n inclusion as well.

If there are any issues, feel free to contact me at ircs://irc.lunarirc.net:6697/LunarBNC

If you want to make a donation to LunarBNC, please use the following PayPal link;  
https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=NV76KTTXLLDVC

### Original source
https://github.com/FirrreHQ/zncstrap

No updates for over 5 years and firrre stopped hosting as far as I know

### Screenshot
Please see [Screenshot](./screenshot.png 'screenshot')

### Installing zncstrap

Step 1 - Get a latest version of zncstrap. Branches are split in the versions that it should work with. The "main" branch should be on the latest version, but no guarantees.

Step 2 - We strongly advice you to make backups of your current ZNC setup (config files and folders, just to be on the safe-side) before you proceed to install zncstrap theme. Once you have your backups stored elsewhere, you can proceed to remove the default theme(s) webskins and modules folder. 

You can do so by pointing to /home/username/znc/share/znc, or generally $datadir/share/znc. If you have installed ZNC through a software package manager such as: Advanced Packaging Tool (Apt) or Yellowdog Updater, Modified (yum). You will need to navigate to /usr/local/share/znc/ or /usr/share/znc as the webskins static files resides there (file directries may vary). If all else fails, try using the 'whereis' tool on Linux. You can do so by executing the following command in your terminal / console: whereis znc

Step 3 - Navigate to the above mentioned directory and delete/move the 'modules' & 'webskins' directories, not doing this can cause odd results.

Step 4 - Once it has completely removed, you can now go ahead and upload all zncstrap files that you have downloaded from the GitHub repository.

> ~/zncstrap/webskins  <->  $datadir/share/znc/webskins

>  ~/zncstrap/modules  <->  $datadir/share/znc/modules

Once completed, you're good to go! - Login to your web-interface http://ip:port or http://domain.tld:port via any of your preferred web browsers.

### FAQ

**Q: Why can't zncstrap work alongside the default ZNC themes itself?**

A: Mainly because the different HTML tags and attributes used in zncstrap, as part of Twitter Bootstrap specifically in "~/znc/share/znc/modules/webadmin/tmpl" (e.g http://git.io/qj8MKg to http://git.io/SofsZg). If it had been left un-edited, it will not be visually pleasing and would be looking all off-margin. As the CSS bits are different and varies. Hence why the default ZNC themes should be removed as it will no longer serve any good when zncstrap is installed.


**Q: I installed zncstrap, but it is off-margin and un-styled!**

A: You should overwrite everything from '~/zncstrap/modules' to "~/share/znc/modules" or "/usr/local/share/znc/modules" on your machine.


### Technologies & Scripts

- Twitter Bootstrap version 3
- jQuery
- Bootstrap JavaScript tools
- Bootswatch Themes
- Divshot Bootstrap Themes
- Google Charts